Page MenuHomePhabricator

[SVE] delete VectorType::getNumElements()
ClosedPublic

Authored by ctetreau on Jan 27 2021, 3:36 PM.

Details

Summary

The previously agreed-upon deprecation period for
VectorType::getNumElements() has passed. This patch removes this method
and completes the refactor proposed in the RFC:
https://lists.llvm.org/pipermail/llvm-dev/2020-March/139811.html

Diff Detail

Event Timeline

ctetreau created this revision.Jan 27 2021, 3:36 PM
ctetreau requested review of this revision.Jan 27 2021, 3:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 27 2021, 3:36 PM
This revision is now accepted and ready to land.Jan 28 2021, 1:15 AM
rjmccall accepted this revision.Jan 28 2021, 10:31 PM

Thanks, I appreciate you following through with this. LGTM.

This revision was landed with ongoing or failed builds.Jan 29 2021, 1:47 PM
This revision was automatically updated to reflect the committed changes.